<?php
/**
 * app/plugins/reviews/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Reviews
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;

class Reviews extends Plugin {
    public $pluginName = 'TP Reviews';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a site wide review system.';
    public $permissionMatrix = [
        'review' => [
            'pretty' => 'Can create reviews',
            'default' => false,
        ],
        'createReviewCategory' => [
            'pretty' => 'Can create review categories',
            'default' => false,
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-copy"></i> Reviews',
            'url' => '{ROOT_URL}admin/reviews',
        ],
    ];
    public $footer_links = [
        [
            'text' => 'Reviews',
            'url' => '{ROOT_URL}reviews/index/',
            'filter' => 'loggedin',
        ],
    ];
}

// need a setting to allow reviewing a category from the dropdown
// if disabled, "I'm sorry but reviews are invite only. If you have been asked to review a product, double check the link and make sure its been entered correctly
// if you have not been invited to review a product, please feel free to leave any feedback in the feedback section.